TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

TermTime ( elt-ord^rat timernumber, elt-ord^rat sec ) -> list

### Syntax

TermTime( < 1 | 2 | 3 >, <elt-ord^rat> [, <string> ])

### Description

<shortdoc> Set timer 'timernumber' to terminate KASH after 'sec' seconds. The remaining time for all three timers in seconds is returned in a list. The timers specified by 'timernumber' are:
1 REAL: decrements in real time.
2 VIRTUAL: decrements only when the process executes.
3 PROF: decrements both when the process executes and when the system is executing on behalf of the process.
If "ERROR" is specified as an additional argument KASH raises an error when the time is up. Each timer can only be used once during a KASH session </shortdoc>

### See also

TermTime -> list
Time
UTime -> elt-fld^rea

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack